# Get Endpoint - GetSharePointPreviewUrlById

Loads preview URL for the provided SharePoint list collection item.

# HTTP Request

One of the following requests should be made:

GET /api/syncjobs/sharepoint/listcollitem/preview/url

# Query parameters

Name Description
shSiteId required. SharePoint site id to which the item belongs for which the preview url should be loaded.
shListCollId required. SharePoint list collection id to which the item belongs for which the preview url should be loaded.
shListCollItemId required. SharePoint list item id for which the preview url should be loaded.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 SharePoint list collection item preview url loaded successfully. string
400 Request contains invalid data.
401 If access is not allowed with the given credentials/data.
Dernière mise à jour: 21 février 2025 à 09:59